import config from "./config";
import { onCopperUpdate } from "./server/blockEvents/copperUpdate";
import { onSetVerticalSlab } from "./server/blockEvents/slabPlacement";
import { onWaterlog } from "./server/blockEvents/slabWaterlog";

export class Initialize {
    static setup() {
        onCopperUpdate.subscribe();
        onSetVerticalSlab.subscribe();
        if(config.canWaterlog) {
            onWaterlog.subscribe();
        };
    }
}