export const VERTICAL_SLABS = {
    "slab:vertical_smooth_stone_slab": { sound: "use.stone", hasDirection: true },
    "slab:vertical_stone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_cobblestone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_mossy_cobblestone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_oak_wood_slab": { sound: "use.wood", hasDirection: false },
    "slab:vertical_spruce_wood_slab": { sound: "use.wood", hasDirection: false },
    "slab:vertical_birch_wood_slab": { sound: "use.wood", hasDirection: false },
    "slab:vertical_jungle_wood_slab": { sound: "use.wood", hasDirection: false },
    "slab:vertical_acacia_wood_slab": { sound: "use.wood", hasDirection: false },
    "slab:vertical_dark_oak_wood_slab": { sound: "use.wood", hasDirection: false },
    "slab:vertical_mangrove_wood_slab": { sound: "use.wood", hasDirection: false },
    "slab:vertical_cherry_slab": { sound: "step.cherry_wood", hasDirection: false },
    "slab:vertical_bamboo_slab": { sound: "step.bamboo_wood", hasDirection: false },
    "slab:vertical_bamboo_mosaic_slab": { sound: "step.bamboo_wood", hasDirection: false },
    "slab:vertical_stonebrick_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_mossy_stone_brick_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_sandstone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_cut_sandstone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_smooth_sandstone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_red_sandstone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_cut_red_sandstone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_smooth_red_sandstone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_granite_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_polished_granite_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_diorite_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_polished_diorite_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_andesite_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_polished_andesite_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_brick_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_nether_brick_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_red_nether_brick_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_end_stone_brick_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_quartz_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_smooth_quartz_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_purpur_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_prismarine_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_dark_prismarine_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_prismarine_brick_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_crimson_slab": { sound: "use.wood", hasDirection: false },
    "slab:vertical_warped_slab": { sound: "use.wood", hasDirection: false },
    "slab:vertical_blackstone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_polished_blackstone_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_polished_blackstone_brick_slab": { sound: "use.stone", hasDirection: false },
    "slab:vertical_cut_copper_slab": { sound: "use.copper", hasDirection: false, copperData: { stage: 0, isWaxed: false } },
    "slab:vertical_exposed_cut_copper_slab": { sound: "use.copper", hasDirection: false, copperData: { stage: 1, isWaxed: false } },
    "slab:vertical_weathered_cut_copper_slab": { sound: "use.copper", hasDirection: false, copperData: { stage: 2, isWaxed: false } },
    "slab:vertical_oxidized_cut_copper_slab": { sound: "use.copper", hasDirection: false, copperData: { stage: 3, isWaxed: false } },
    "slab:vertical_waxed_cut_copper_slab": { sound: "use.copper", hasDirection: false, copperData: { stage: 0, isWaxed: true } },
    "slab:vertical_waxed_exposed_cut_copper_slab": { sound: "use.copper", hasDirection: false, copperData: { stage: 1, isWaxed: true } },
    "slab:vertical_waxed_weathered_cut_copper_slab": { sound: "use.copper", hasDirection: false, copperData: { stage: 2, isWaxed: true } },
    "slab:vertical_waxed_oxidized_cut_copper_slab": { sound: "use.copper", hasDirection: false, copperData: { stage: 3, isWaxed: true } },
    "slab:vertical_cobbled_deepslate_slab": { sound: "use.deepslate", hasDirection: false },
    "slab:vertical_polished_deepslate_slab": { sound: "use.deepslate", hasDirection: false },
    "slab:vertical_deepslate_tile_slab": { sound: "use.deepslate_bricks", hasDirection: false },
    "slab:vertical_deepslate_brick_slab": { sound: "use.deepslate_bricks", hasDirection: false },
    "slab:vertical_mud_brick_slab": { sound: "block.mud_bricks.place", hasDirection: false }
};